MCL_CLOSE(2)

NAME
mcl_close - close an MCL (MultiCast Library) session

SYNOPSIS

#include "../src/common/mcl_lib_api.h" int mcl_close (int id);

DESCRIPTION
Closes an MCL session. This call is blocking (i.e. synchronous) on the sending side to let it send all the data that has not yet been sent. This call returns immediately on the receiving side. Calling mcl_close() with an identifier that does not refer to an MCL session leads to calling the close() system call with that identifier.

RETURN VALUE
Returns 0 on success, a negative (< 0) value in case of error.

EXAMPLE
Here is a simple example to close an MCL session as a source.
        int     id;
        if (mcl_close(id) < 0) {
                printf("ERROR: mcl_close failed");
                exit(-1);
        }

COPYRIGHTS
Copyright (c) 1999-2003 INRIA - Universite Paris 6 -
All rights reserved
(main author: Vincent Roca - vincent.roca@inrialpes.fr)
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

SEE ALSO
MCL documentation

AUTHORS
Vincent Roca (INRIA Rhone-Alpes, Planete project) $Id: mcl_close.man.2,v 1.1.1.1 2003/05/12 09:45:26 roca Exp $